pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/39333 (Mongrel build fails as non root user)

The following reply was made to PR pkg/39333; it has been noted by GNATS.

From: "OBATA Akio" <>
Subject: Re: pkg/39333 (Mongrel build fails as non root user)
Date: Mon, 27 Oct 2008 20:35:07 +0900

 Failed to install with unprivileged user (UNPRIVILEGED=yes or USE_DESTDIR=full)
 even thogh this package is PKG_DESTDIR_SUPPORT=user-destdir.
 "/usr/bin/install -o root -g wheel" is came from 
 It was defined when ruby18-base was configured.
 Then if ruby18-base was built with UNPRIVILEGED=yes, mongrel is also able to 
be built
 with unprivileged user.
 Anyway, it is not good that such a configuration phase setteings is in result 
of binary package,
 ans used for installation of other packages.
 Should we patched to rbconfig.rb to add a knob to specify install command used 
with pkgsrc?
 something like change
   CONFIG["INSTALL"] = '/usr/bin/install -c -o root -g wheel'
   CONFIG["INSTALL"] = ENV['INSTALL'] ? ENV['INSTALL'] : "/usr/bin/install -c 
-o root -g wheel"

Home | Main Index | Thread Index | Old Index